# Uses of Enum Class
org.apache.sysds.runtime.iogen.MappingTrieNode.Type

Packages that use MappingTrieNode.Type
Package
Description
org.apache.sysds.runtime.iogen

## Uses of MappingTrieNode.Type in org.apache.sysds.runtime.iogen

Methods in org.apache.sysds.runtime.iogen that return MappingTrieNode.Type
Modifier and Type
Method
Description
`MappingTrieNode.Type`
MappingTrieNode.`getNodeType()`
`static MappingTrieNode.Type`
MappingTrieNode.Type.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static MappingTrieNode.Type[]`
MappingTrieNode.Type.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.sysds.runtime.iogen with parameters of type MappingTrieNode.Type
Modifier and Type
Method
Description
`void`
MappingTrieNode.`setNodeType(MappingTrieNode.Type nodeType)`
Constructors in org.apache.sysds.runtime.iogen with parameters of type MappingTrieNode.Type
Modifier
Constructor
Description
``
`MappingTrieNode(MappingTrieNode.Type nodeType)`